#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseUpx=n
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_Res_Icon_Add=On.ico
#AutoIt3Wrapper_Res_Icon_Add=Off.ico
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

Opt("TrayMenuMode", 1)

$loggedon = (ProcessExists("explorer.exe") > 0)

HotKeySet("^+!\", "_Exit")

If $loggedon Then TraySetState()

While 1
	If (ProcessExists("explorer.exe") > 0 And Not $loggedon) Then ExitLoop
	$ret = DllCall("WinInet.dll","int","InternetGetConnectedState","int_ptr",0,"int",0)
	If $ret[0] then ; Connected
		If $loggedon Then
			TraySetIcon(@ScriptName, -5)
			TraySetToolTip("Network connected")
		Else
			ToolTip("Connected", 0, 0,"Network Status", 1, 5)
		EndIf
	Else            ; Not connected
		If $loggedon Then
			TraySetIcon(@ScriptName, -6)
			TraySetToolTip("Network disconnected!")
		Else
			ToolTip("Not Connected", 0, 0,"Network Status", 3, 5)
		EndIf
	Endif
	Sleep(1000)
WEnd

Func _Exit()
	Exit
EndFunc
